Loading search index…

Browse documentationList dead-lettered webhook deliveries | API Reference
WEBHOOKS

List dead-lettered webhook deliveries

GET/v1/webhooks/failures

See the request and response contract below.

Backend integrationYour backend and SDK use a tenant API key.
Try itAvailable for creating, reading, and deleting verification sessions in Test. Other operations are reference-only; API-key protected routes require a tenant API key on your backend. Open a session request
Parameters
Parameters for GET /v1/webhooks/failures
NameLocationRequiredSchemaDescription
limitqueryNointeger—
cursorqueryNostring—

Responses

Response 200

JSON response

application/json · Response schema
failuresarray<object>optional
Nested fields
idstringoptional
session_idstringoptional
client_idstringoptional
payloadobjectoptional
error_messagestring,nulloptional
attemptsintegeroptional
failed_atstringoptional
View JSON schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "session_id": {
      "type": "string"
    },
    "client_id": {
      "type": "string"
    },
    "payload": {
      "type": "object"
    },
    "error_message": {
      "type": [
        "string",
        "null"
      ]
    },
    "attempts": {
      "type": "integer"
    },
    "failed_at": {
      "type": "string"
    }
  }
}
has_morebooleanoptional
next_cursorstring,nulloptional
View JSON schema
{
  "type": "object",
  "properties": {
    "failures": {
      "type": "array",
      "items": {
        "$ref": "#/components/schemas/WebhookFailure"
      }
    },
    "has_more": {
      "type": "boolean"
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  }
}
Response 400

Invalid pagination cursor

application/json · Response schema
errorstringrequired
messagestringrequired
View JSON schema
{
  "type": "object",
  "required": [
    "error",
    "message"
  ],
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  }
}
Response 401

Error response

application/json · Response schema
errorstringrequired
messagestringrequired
View JSON schema
{
  "type": "object",
  "required": [
    "error",
    "message"
  ],
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  }
}
Response 403

Error response

application/json · Response schema
errorstringrequired
messagestringrequired
View JSON schema
{
  "type": "object",
  "required": [
    "error",
    "message"
  ],
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  }
}
← All public operations
© DLBR · API documentationv0.1.0 · a1293c1